commit:     76aa6f7979922aa1fd3325d20adaa976ea70c16d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 16 06:26:47 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr 16 06:26:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76aa6f79

dev-ruby/xpath: update EAPI 6 -> 8, add ruby31

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/xpath/xpath-3.2.0-r1.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-ruby/xpath/xpath-3.2.0-r1.ebuild 
b/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
new file mode 100644
index 000000000000..497f4840b218
--- /dev/null
+++ b/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XPath is a Ruby DSL around a subset of XPath 1.0"
+HOMEPAGE="https://github.com/jnicklas/xpath";
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+SLOT="3"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.8:0"
+
+all_ruby_prepare() {
+       sed -i -e '/\(bundler\|pry\)/d' spec/spec_helper.rb || die
+}

Reply via email to